org.keycloak.social.github

## Class GitHubIdentityProviderFactory

- java.lang.Object
- - org.keycloak.broker.provider.AbstractIdentityProviderFactory<GitHubIdentityProvider>
  - - org.keycloak.social.github.GitHubIdentityProviderFactory

- All Implemented Interfaces:
    IdentityProviderFactory<GitHubIdentityProvider>, SocialIdentityProviderFactory<GitHubIdentityProvider>, ProviderFactory<GitHubIdentityProvider>

      public class GitHubIdentityProviderFactory
      extends AbstractIdentityProviderFactory<GitHubIdentityProvider>
      implements SocialIdentityProviderFactory<GitHubIdentityProvider>

  Author:
    Pedro Igor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitHubIdentityProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GitHubIdentityProvider` | `create(KeycloakSession session, IdentityProviderModel model)` Creates an `IdentityProvider` based on the configuration contained in `model`.
    `OAuth2IdentityProviderConfig` | `createConfig()` Creates a provider specific `IdentityProviderModel` instance.
    `String` | `getId()`
    `String` | `getName()` A friendly name for this factory.

    - ### Methods inherited from class org.keycloak.broker.provider.AbstractIdentityProviderFactory

      `close, create, init, parseConfig, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.broker.provider.IdentityProviderFactory

      `parseConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, create, init, order, postInit`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GitHubIdentityProviderFactory

          public GitHubIdentityProviderFactory()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `IdentityProviderFactory`

      A friendly name for this factory.

      Specified by:
        `getName` in interface `IdentityProviderFactory<GitHubIdentityProvider>`
      Returns:

    - #### create

          public GitHubIdentityProvider create(KeycloakSession session,
                                               IdentityProviderModel model)

      Description copied from interface: `IdentityProviderFactory`

      Creates an `IdentityProvider` based on the configuration contained in `model`.

      Specified by:
        `create` in interface `IdentityProviderFactory<GitHubIdentityProvider>`
        `model` - The configuration to be used to create the identity provider.
      Returns:

    - #### createConfig

          public OAuth2IdentityProviderConfig createConfig()

      Description copied from interface: `IdentityProviderFactory`

      Creates a provider specific `IdentityProviderModel` instance.

      Providers may want to implement their own `IdentityProviderModel` type so that validations can be performed when managing the provider configuration

      Specified by:
        `createConfig` in interface `IdentityProviderFactory<GitHubIdentityProvider>`
      Returns:
        the provider specific instance

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<GitHubIdentityProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.